## org.apache.mahout.math.function
Interface ObjectFunction<T>

    public interface ObjectFunction<T>

Interface that represents a function object: a function that takes a single argument and returns a single value.

Method Summary
`T` `apply(T argument)` Applies a function to an argument.

Method Detail

### apply

    T apply(T argument)

  Applies a function to an argument.

  Parameters:
    `argument` - argument passed to the function.
  Returns:
    the result of the function.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.